Bug 501641 - [qt][Indic] Characters are mixed up for non-English and English
[qt][Indic] Characters are mixed up for non-English and English
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 02:21 EDT by A S Alam
Modified: 2013-07-02 20:52 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.5.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:08:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Rendering Problem (49.99 KB, image/png)
2009-05-20 02:21 EDT, A S Alam
no flags Details
Lokalize Screenshot (with Open-File Dialogue) (9.23 KB, image/png)
2009-05-25 01:05 EDT, A S Alam
no flags Details
Sinhala and English mixed (66.42 KB, image/png)
2009-06-15 03:00 EDT, Danishka Navin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194614 None None None Never

  None (edit)
Description A S Alam 2009-05-20 02:21:26 EDT
Created attachment 344744 [details]
Rendering Problem

Description of problem:
While running kate with Punjabi language, Today's Tip showing Punjabi Characters for English text (where No Translation), but Punjabi Translation (for Tip) has no problem.


Version-Release number of selected component (if applicable):
kdesdk-4.2.2-2.fc11
kde-l10n-Punjabi-4.2.2-1.fc11

How reproducible:
Evertime

Steps to Reproduce:
1. run Punjabi Envirnment for KDE (with systemsetting)
2.  run kate
3. check today's tip
4. Press Next to get English Only Tip

Actual results:
Some Punjabi Characters are available in English Tip

Expected results:
English should be fine

Additional info:
Comment 1 A S Alam 2009-05-25 01:04:18 EDT
Update with following finding:
*) with Hindi locale, you can find problem
*) Problem is re-produced with lokalize also, where you can press Ctrl+O (open file dialogue), check at Filter box (aside with Cancel button), (Screenshot attached)

*) This is happening only with English Only Text and Mixing Character depends upon language selected by KDE

*) Copy problematic Text (did from Today's Tips) and Paste in Editor is Working FINE
Comment 2 A S Alam 2009-05-25 01:05:04 EDT
Created attachment 345276 [details]
Lokalize Screenshot (with Open-File Dialogue)
Comment 3 Steven M. Parrish 2009-05-29 21:07:56 EDT
Please report this issue upstream at http://bugs.kde.org and also please add
the upstream information to this report.  We will monitor upstream for a
resolution.
Comment 4 A S Alam 2009-05-29 22:14:08 EDT
Upstream bug: https://bugs.kde.org/show_bug.cgi?id=194614
Comment 5 Steven M. Parrish 2009-05-30 18:40:42 EDT
Thanks for reporting this upstream, we will monitor the upstream report for a resolution.
Comment 6 Danishka Navin 2009-06-15 03:00:35 EDT
Created attachment 347896 [details]
Sinhala and English mixed
Comment 8 A S Alam 2009-06-17 06:31:43 EDT
While using OpenSUSE 11.2 Milestone 2, this is not problem although qt 
version seems same in both.
libqt4-4.5.1-1.5
Comment 9 A S Alam 2009-07-02 02:56:52 EDT
Need to reopen as it is not problem with Upstream package.
Comment 10 A S Alam 2009-07-02 02:58:18 EDT
This bug is fixed with latest KDE release in rawhide with  following package:

kdelibs-4.2.95-1.fc12
kdebase-4.2.95-1
qt-4.5.2-2
Comment 11 Ngo Than 2009-07-02 04:32:48 EDT
A S Alamm, i'm starting to build qt-4.5.2 for F10/F11 update. It will be available in koji build in next hours, could you please try the new qt version on F11? thanks
Comment 12 A S Alam 2009-07-02 04:41:55 EDT
Thanks Than, 
surely It will great pleasure for me to get for F11/F10 working
Comment 13 A S Alam 2009-07-02 11:06:10 EDT
it is working fine with following build:
qt-4.5.2-1.fc11
Comment 14 Ngo Than 2009-07-02 11:16:21 EDT
it will be pushed in F9/F10/F11 update soon. Thanks for your report.
Comment 15 Fedora Update System 2009-07-03 06:15:22 EDT
qt-4.5.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-4.5.2-1.fc11
Comment 16 Fedora Update System 2009-07-03 06:16:21 EDT
qt-4.5.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qt-4.5.2-1.fc10
Comment 17 Fedora Update System 2009-07-03 06:17:00 EDT
qt-4.5.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qt-4.5.2-1.fc9
Comment 18 Fedora Update System 2009-07-11 13:02:59 EDT
qt-4.5.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7446
Comment 19 Fedora Update System 2009-07-11 13:08:10 EDT
qt-4.5.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-24 15:43:01 EDT
qt-4.5.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-07-24 15:43:41 EDT
qt-4.5.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.